package org.springframework.security.access.expression.method;

import org.aopalliance.intercept.MethodInvocation;
import org.springframework.core.ParameterNameDiscoverer;
import org.springframework.security.core.Authentication;

/**
 * This class exists as a hack to allow us to extend this class
 * It has no extra functionality - it just changes the visibility of the class.
 */
public class PublicMethodSecurityEvaluationContext extends MethodSecurityEvaluationContext {
    public PublicMethodSecurityEvaluationContext(Authentication user, MethodInvocation mi) {
        super(user, mi);
    }

    public PublicMethodSecurityEvaluationContext(Authentication user, MethodInvocation mi, ParameterNameDiscoverer parameterNameDiscoverer) {
        super(user, mi, parameterNameDiscoverer);
    }
}
